
module "mongodb" {
  source = "terraform-aws-modules/mongodb/aws"
  version = "1.4.0"
  account_password = var.account_password
  alarm_rule_contact_groups = var.alarm_rule_contact_groups
  alarm_rule_effective_interval = var.alarm_rule_effective_interval
  alarm_rule_name = var.alarm_rule_name
  alarm_rule_operator = var.alarm_rule_operator
  alarm_rule_period = var.alarm_rule_period
  alarm_rule_silence_time = var.alarm_rule_silence_time
  alarm_rule_statistics = var.alarm_rule_statistics
  alarm_rule_threshold = var.alarm_rule_threshold
  alarm_rule_triggered_count = var.alarm_rule_triggered_count
  backup_period = var.backup_period
  backup_time = var.backup_time
  create = var.create
  db_instance_class = var.db_instance_class
  db_instance_storage = var.db_instance_storage
  enable_alarm_rule = var.enable_alarm_rule
  engine_version = var.engine_version
  existing_instance_id = var.existing_instance_id
  instance_charge_type = var.instance_charge_type
  instance_id = var.instance_id
  name = var.name
  period = var.period
  profile = var.profile
  region = var.region
  replication_factor = var.replication_factor
  security_ip_list = var.security_ip_list
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  storage_engine = var.storage_engine
  tags = var.tags
  vswitch_id = var.vswitch_id
  zone_id = var.zone_id
}
